Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-5681

jarAll does not build all scala versions anymore.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Won't Fix
    • Affects Version/s: 0.11.0.0
    • Fix Version/s: None
    • Component/s: build
    • Labels:
      None

      Description

      ./gradlew jarAll no longer builds jars for all scala versions. We should use availableScalaVersions instead of defaultScalaVersions when build. We probably should consider backporting the fix to 0.11.0.0.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                becket_qin Jiangjie Qin
                Reporter:
                becket_qin Jiangjie Qin
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: